/*
 * Copyright (c) 2000, 2012 Martin J. Mohlenkamp
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
/** \file getoption.c 

\brief Retrieve command line options.

*/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char* getoption(const char* flag,
		int argc,
		char **argv
		){
  /** This routine allows command line options, usually of the form:
      program -d 256. Normal usage in the program is:

          if(getoption("-d",argc,argv)!=NULL) 
             degree=atoi(getoption("-d",argc,argv));

      The first call makes sure the option flag was indeed used. If it was,
      we call again to get the value as a string, then convert it using ato_ .
  */
    
  int s;

  for(s=1;s<argc;s++)
    if(! strcmp(argv[s],flag))
      return argv[s+1];
  
  return NULL;
}


