# 
# 
##############################
#  make include file         #
#  to change parameters      #
##############################
#
########################################################################
# choose a fortran compiler
FORTRAN  = g77
#
# choose optimization flags for fortran subroutines
FFLAGS     = -O 
#FFLAGS     = -O3 -native -dalign -unroll=4 
#	-xpg for profiling

########################################################################
# choose a C compiler
CC=gcc
#
# choose optimization flags for C subroutines
#OFLAGS= -xO2 
OFLAGS= -O 
#OFLAGS=  -pedantic -g
#OFLAGS= -O -dalign -xunroll=4 
#	-xpg for profiling


####################################################################### 
# Set other options:
#	USE_double is a flag that determines the floating point precision
#		USE_double=0 makes REAL == float
#		USE_double=1 makes REAL == double
#		2 could be used for long double (not implemented)
#		One does need to check that linked libraries like fftw 
#		use the same type.
#	-I/usr/local/include says to look in that directory for include
#		files, such as the fftw headers.
#		If fftw is compiled locally, you may need to change this.
#
CFLAGS= -DUSE_double=1
#

#######################################################################
# set libraries to link to
# this does not influence library creation, but only tests and applications
#
#	IF fftw is in the standard place in your system,
#	use library linking:
#
#	IF fftw is compiled in one precision, agreeing with USE_double
LIBLINK= -lrfftw -lfftw -lm
#
#	IF fftw in two precisions, USE_double=0
#LIBLINK=  -lsrfftw -lsfftw -lm
#
#	IF fftw in two precisions, USE_double=1
#LIBLINK=  -ldrfftw -ldfftw -lm
#
#	else if fftw is in a local directory, include it directly, by full
#	pathname. It will look something like:
#LIBLINK=  /home/me/libsrfftw.a /home/me/libsfftw.a -lm
#LIBLINK=  /home/me/libdrfftw.a /home/me/libdfftw.a -lm
#
#	If you link to the wrong version of fftw, there will be no complaints
#	at compile time, but there will be problems running

#########################################################################
# set archiving function for library creation
#
ARCHIVER= ar -rcv
#
#ARCHIVER= /usr/bin/ar rc

#########################################################################
############# NOTES ON FFTW  ############################################
#########################################################################
#
# If you have trouble compiling/link with fftw, here are things to check:
#	1. Does it exist on your system?
#       2. Is -I (in CFLAGS) set so the compiler can find the headers?
#	3. Is LIBLINK set properly?
#	4. Is the switch in libftsh.h for the fftw headers set for the
#	    way fftw was compiled on your system?
#	5. The manual: http://www.fftw.org/doc/
# 
# 
# 

